export declare const useKinds: ({ cluster, refetchInterval, isEnabled, }: {
    cluster: string;
    refetchInterval?: number | false | undefined;
    isEnabled?: boolean | undefined;
}) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<{
    kindIndex: import("..").TKindIndex;
    kindsWithVersion: import("..").TKindWithVersion[];
}, Error>;
